Package Details: perl-task-weaken 1.04-2

Git Clone URL: (read-only)
Package Base: perl-task-weaken
Description: Ensure that a platform has weaken support
Upstream URL:
Licenses: GPL, PerlArtistic
Submitter: td123
Maintainer: bidulock
Last Packager: bidulock
Votes: 89
Popularity: 1.027311
First Submitted: 2011-03-24 15:09
Last Updated: 2015-07-16 08:43

Latest Comments

mhellwig commented on 2012-06-05 14:23

doesn't build. error message:

A CPAN module critically requires a function
(Scalar::Util::weaken) that should exist in your
Scalar::Util module but doesn't.

This probably happened because you are using a Perl
provided by a binary package from a vendor, and this
vendor has packaged Perl incorrectly.

I have checked for a couple of potential workarounds
but none of them appear to be usable in your

I will try a last-ditch option anyway, but the most
likely result is a number of noisily failing tests

If this happens, you will need to contact technical
support for your vendor and report the broken Perl,
so that they can repair it.

Please refer them to the documentation for the
'Task::Weaken' CPAN module, which explains the problem
and how they can fix it.

I'm going to wait for about a minute now so you have time
to read this message